<?php 



require_once ("../../config/Cado.php");

require_once("cImpresora.php");

$oImpresora = new cImpresora();



if($_POST['action_impresora']=="insertar")

{

	if(!empty($_POST['txt_imp_nom']))

	{

		$oImpresora->insertar($_POST['txt_imp_nom'],$_POST['cmb_imp_tipo'],$_POST['txt_imp_nomloc'],$_POST['txt_imp_ser'],$_POST['txt_imp_url'],$_POST['txt_imp_ip']);

		

		$dts=$oImpresora->ultimoInsert();

		$dt = mysqli_fetch_array($dts);

		$imp_id=$dt['last_insert_id()'];

		mysqli_free_result($dts);

		

		$data['imp_id']=$imp_id;

		$data['imp_msj']='Se registró impresora correctamente.';

		

	}

	else

	{

		$data['imp_msj']='Intentelo nuevamente';

	}

	echo json_encode($data);

}



if($_POST['action_impresora']=="editar")

{



	if(!empty($_POST['txt_imp_nom']))

	{

		$oImpresora->modificar($_POST['hdd_imp_id'],$_POST['txt_imp_nom'],$_POST['cmb_imp_tipo'],$_POST['txt_imp_nomloc'],$_POST['txt_imp_ser'],$_POST['txt_imp_url'],$_POST['txt_imp_ip']);

		

		$data['imp_msj']='Se modifico la impresora correctamente.';

		

	}

	else

	{

		$data['imp_msj']='Intentelo nuevamente';

	}

	echo json_encode($data);

}



if($_POST['action']=="eliminar")

{



	if(!empty($_POST['id']))

	{



		$cst1 = $oImpresora->mostrarUno($_POST['id']);

		$rst1= mysqli_num_rows($cst1);

		if($rst1 === 0){

			echo 'La impresora no existe';

			exit;

		}

		$oImpresora->eliminar($_POST['id']);

		echo 'Se eliminó impresora correctamente.';

		exit;



	}

	else

	{

		echo 'Intentelo nuevamente.';

	}



}

?>